import type { TableColumn } from '../base';
type GroupableTableColumn = Pick<TableColumn, 'columnInternals'>;
type GroupableTableColumnConstructor = abstract new (...args: any[]) => GroupableTableColumn;
export declare function mixinGroupableColumnAPI<TBase extends GroupableTableColumnConstructor>(base: TBase): (abstract new (...args: any[]) => {
    groupingDisabled: boolean;
    groupIndex?: number | null;
    groupingDisabledChanged(): void;
    groupIndexChanged(): void;
    readonly columnInternals: import("../base/models/column-internals").ColumnInternals<unknown, import("../base/models/column-validator").ColumnValidator<[]>>;
}) & TBase;
export {};
